Subject: Re: [rtcweb] Proposed resolution on comfort noise

From: Justin Uberti <[email-masked]>
Date: Fri, 8 Jan 2016 17:29:37 -0800

I support this resolution.

To Felix's point, this text just says that WebRTC endpoints MUST support
CN, not MUST use it. Applications are free to not offer it (via the
VoiceActivityDetection parameter).

On Mon, Dec 14, 2015 at 4:31 AM, Harald Alvestrand <[email-masked]>
wrote:

> I support this resolution.
>
> I note that there's material in this discussion for an extensive treatise
> on the pros and cons of offering CN at gateways. If someone wishes to
> extract this as a PR against the -gateways draft, the draft is at
> https://github.com/rtcweb-wg/gateways.
>
>
>
> On 12/10/2015 11:14 PM, Ted Hardie wrote:
>
> After reading the discussion on the comfort noise issue, it appears that
> one way forward might be to adjust this language:
>
> "comfort noise (CN).  Receivers MUST support RFC3389 CN for streams
> encoded with G.711 or any other supported codec that  does not provide its
> own CN.”
>
> to say instead
>
> "comfort noise (CN).  WebRTC endpoints MUST support RFC3389 CN for streams
> encoded with G.711 or any other supported codec that  does not provide its
> own CN.”
>
> This would still allow non-WebRTC endpoints to omit CN support, while
> retaining the mandate for WebRTC endpoints.
>
> Does this resolve the issue?
>
> regards,
>
> Ted
>
>
> _______________________________________________
> rtcweb mailing [email-masked]://www.ietf.org/mailman/listinfo/rtcweb
>
>
>
> --
> Surveillance is pervasive. Go Dark.
>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>